package com.ruoyi.mall.mapper;

import java.util.List;
import com.ruoyi.mall.domain.MallHotWord;

/**
 * 热词Mapper接口
 * 
 * @author chang
 * @date 2021-11-25
 */
public interface MallHotWordMapper 
{
    /**
     * 查询热词
     * 
     * @param id 热词主键
     * @return 热词
     */
    public MallHotWord selectMallHotWordById(Long id);

    /**
     * 查询热词列表
     * 
     * @param mallHotWord 热词
     * @return 热词集合
     */
    public List<MallHotWord> selectMallHotWordList(MallHotWord mallHotWord);

    /**
     * 新增热词
     * 
     * @param mallHotWord 热词
     * @return 结果
     */
    public int insertMallHotWord(MallHotWord mallHotWord);

    /**
     * 修改热词
     * 
     * @param mallHotWord 热词
     * @return 结果
     */
    public int updateMallHotWord(MallHotWord mallHotWord);

    /**
     * 删除热词
     * 
     * @param id 热词主键
     * @return 结果
     */
    public int deleteMallHotWordById(Long id);

    /**
     * 批量删除热词
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteMallHotWordByIds(Long[] ids);
}
